#!/bin/csh -f
if ($#argv == 0) then
  echo "Usage: s6.csh CMP_file"
  exit
else
  set infile = ($1)   # Assign argument 1 to infile
  echo "CMP file: "$infile  # or ${infile}
endif
 
# Create plot (gmeta) using instruction file icon (answers to prompts)
conmap7 -k icon_k.band.s6 -SB $1 < icon
# Convert gmeta to Postscript (g.ps)
g2ps -c gmeta
# Convert g.ps to g.png (PNG file)
convert -trim -density 100 g.ps gs6.png

echo "Plot file: gs6.png"
# Next line - needs to have \! not just ! - confuses csh
echo "Done\!"

exit
